## pcp 5.2.0

=== debian/changelog ===
pcp (5.2.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 07 Aug 2020 11:33:58 +1000

pcp (5.1.2-1) unstable; urgency=low

  * Resolve dependency generation issue (closes: #962994)

 -- Nathan Scott <nathans@debian.org>  Mon, 29 Jun 2020 15:28:11 +1000

pcp (5.1.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 29 Apr 2020 08:37:26 +1000

pcp (5.1.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * service daemon config updates
  * numerous important bug fixes

 -- Nathan Scott <nathans@debian.org>  Fri, 24 Apr 2020 08:37:26 +1000

pcp (5.0.3-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 27 Feb 2020 07:47:18 +1100

pcp (5.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop remaining python2 build commands (closes: #947916)
  * Build-depend on python3-all-dev for the py3 extension build.

 -- Martin Pitt <mpitt@debian.org>  Sat, 04 Jan 2020 09:58:40 +0000

pcp (5.0.2-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Switch exclusively to python3-pcp package (closes: #937260)

 -- Nathan Scott <nathans@debian.org>  Wed, 11 Dec 2019 07:52:01 +1100

pcp (5.0.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Mon, 04 Nov 2019 10:18:34 +1100

pcp (5.0.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 11 Oct 2019 11:38:43 +1100

=== debian/control ===
Source: pcp
Section: utils
Priority: extra
Homepage: https://pcp.io
Maintainer: PCP Development Team <pcp@groups.io>
Uploaders: Nathan Scott <nathans@debian.org>, Eric Desrochers <eric.desrochers@canonical.com>, Ken McDonell <kenj@kenj.id.au>
Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python3-all-dev, python3-dev, libnspr4-dev, libnss3-dev, libsasl2-dev, libuv1-dev, libavahi-common-dev, qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev, qtchooser, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, python3-psycopg2, dh-python, libpfm4-dev, libncurses5-dev, python3-six, python3-json-pointer, python3-requests, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, libnss3-tools, liblzma-dev, libsystemd-dev, manpages
#Architecture-dependent -- Build-Depends: libibumad-dev, libibmad-dev
Standards-Version: 3.9.3
X-Python3-Version: >= 3.3

Package: pcp
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, libpcp-pmda-perl, python3-pcp, python3, libpcp-web1
Conflicts: pgpool2, dstat, pcp-webapi, pcp-manager
Suggests: pcp-gui, libpcp-import-perl
Provides: dstat, pcp-webapi, pcp-manager
Replaces: dstat, pcp-webapi, pcp-manager
Architecture: any
Description: System level performance monitoring and performance management
 Performance Co-Pilot (PCP) is a framework and services to
 support system-level performance monitoring and performance
 management.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: pcp-conf
Depends: ${misc:Depends}
Breaks: libpcp3 (<< 3.9.0), pcp (<< 4.0.1)
Section: libs
Architecture: any
Description: Performance Co-Pilot runtime configuration
 The pcp-conf package contains important runtime configuration
 files required by all programs and libraries that make up the
 Performance Co-Pilot (PCP) toolkit.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp3-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp3 (= ${binary:Version}), libc6-dev | libc-dev
Breaks: pcp (<< 4.3.4), libpcp-gui2-dev (<< 3.11.10~), pcp-webapi (<< 5.0.0), pcp-manager (<< 5.2.0)
Replaces: libpcp-gui2-dev (<< 3.11.10~), pcp-webapi (<< 5.0.0), pcp-manager (<< 5.2.0)
Architecture: any
Description: Performance Co-Pilot library and headers
 The libpcp-dev package contains the base Performance Co-Pilot (PCP)
 library and header files needed to develop collector and monitor
 programs which make use of PCP services.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp3
Depends: ${shlibs:Depends}, ${misc:Depends}, pcp-conf (= ${binary:Version})
Conflicts: pgpool2
Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 2.8.5)
Section: libs
Architecture: any
Description: Performance Co-Pilot library
 The libpcp package contains the runtime environment required by
 programs that make use of Performance Co-Pilot (PCP) services.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-gui2-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-gui2 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Conflicts: libpcp-gui1-dev
Architecture: any
Description: Performance Co-Pilot graphical client tools library and headers
 The libpcp-gui-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to incorporate graphical time control
 (pmtime) into a monitoring application.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-gui2
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot graphical client tools library
 The libpcp-gui package contains the runtime environment required by any
 monitoring tool that makes use of the time control services of pmtime(1).
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-mmv1-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-mmv1 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Architecture: any
Description: Performance Co-Pilot Memory Mapped Value library and headers
 The libpcp-mmv-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to utilise memory mapped value
 instrumentation into a monitored application.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-mmv1
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot Memory Mapped Value client library
 The libpcp-mmv package contains the runtime environment required by an
 application that utilises Memory Mapped Value instrumentation to export
 runtime instrumentation into the Performance Co-Pilot infrastructure.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-pmda3-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-pmda3 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 3.11.10~)
Replaces: libpcp3-dev (<< 3.11.10~)
Architecture: any
Description: Performance Co-Pilot Domain Agent library and headers
 The libpcp-pmda-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to develop Performance Metric Domain
 Agents (PMDAs).  Each PMDA exports performance data for one domain;
 for example the operating system kernel, Cisco routers, a database,
 an application, etc.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-pmda3
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot Domain Agent library
 The libpcp-pmda package contains the runtime environment required by
 a Performance Metric Domain Agent (PMDA).  A PMDA exports performance
 data for one specific domain, for example the operating system kernel,
 DNS, SMTP, Cisco router, a database, an application, etc.

Package: libpcp-trace2-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-trace2 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Breaks: pcp (<< 2.8.0)
Architecture: any
Description: Performance Co-Pilot application tracing library and headers
 The libpcp-trace-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to directly instrument an application
 for event and value tracking by the pmdatrace(1) PCP Trace Performance
 Metric Domain Agent.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-trace2
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot application tracing library
 The libpcp-trace package contains the runtime environment required by
 an application that is directly instrumented for event and value
 tracking by pmdatrace(3), the Trace Performance Metric Domain Agent.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-import1-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-import1 (= ${binary:Version}), libpcp3-dev
Architecture: any
Description: Performance Co-Pilot data import library and headers
 The libpcp-import-dev package contains the library and header files
 needed to build an application that imports performance data from
 a file or real-time source and creates a Performance Co-Pilot (PCP)
 archive suitable for use with the PCP tools.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-import1
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot data import library
 The libpcp-import package contains the runtime environment required
 by an application that imports performance data from a file or
 real-time source and creates a Performance Co-Pilot (PCP) archive
 suitable for use with the PCP tools.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.
 
Package: libpcp-web1-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-web1 (= ${binary:Version}), libpcp3-dev
Architecture: any
Description: Performance Co-Pilot web tooling
 The libpcp-web-dev package contains the library and header files
 needed to build a PMDA which parses and extracts metric data from
 a JSON file.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-web1
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot data import library
 The libpcp-web package contains the runtime environment required
 by a PMDA to parse and extract metric data from a JSON file.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-pmda-perl
Section: perl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libpcp-pmda3 (= ${binary:Version})
Description: Performance Co-Pilot Domain Agent Perl module
 The PCP::PMDA Perl module contains the language bindings for
 building Performance Metric Domain Agents (PMDAs) using Perl.
 Each PMDA exports performance data for one specific domain, for
 example the operating system kernel, Cisco routers, a database,
 an application, etc.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-import-perl
Section: perl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libpcp-import1 (= ${binary:Version})
Description: Performance Co-Pilot log import Perl module
 The PCP::LogImport Perl module contains the language bindings for
 building Perl applications that import performance data from a file
 or real-time source and create a Performance Co-Pilot (PCP) archive

## pcp 5.2.6

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: extra
 Homepage: https://pcp.io
 Maintainer: PCP Development Team <pcp@groups.io>
-Uploaders: Nathan Scott <nathans@debian.org>, Eric Desrochers <eric.desrochers@canonical.com>, Ken McDonell <kenj@kenj.id.au>
-Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python3-all-dev, python3-dev, libnspr4-dev, libnss3-dev, libsasl2-dev, libuv1-dev, libavahi-common-dev, qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev, qtchooser, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, python3-psycopg2, dh-python, libpfm4-dev, libncurses5-dev, python3-six, python3-json-pointer, python3-requests, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, libnss3-tools, liblzma-dev, libsystemd-dev, manpages
-#Architecture-dependent -- Build-Depends: libibumad-dev, libibmad-dev
+Uploaders: Nathan Scott <nathans@debian.org>, Ken McDonell <kenj@kenj.id.au>
+Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python3-dev, libnspr4-dev, libnss3-dev, libsasl2-dev, libuv1-dev, libssl-dev, libavahi-common-dev, qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev, qtchooser, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, python3-psycopg2, dh-python, libpfm4-dev, libncurses5-dev, python3-six, python3-json-pointer, python3-requests, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, libnss3-tools, liblzma-dev, systemd, libsystemd-dev, bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], libibumad-dev, libibmad-dev, manpages
 Standards-Version: 3.9.3
 X-Python3-Version: >= 3.3
 
 Package: pcp
-Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, libpcp-pmda-perl, python3-pcp, python3, libpcp-web1
+Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, python3-pcp, python3, libpcp-pmda3 (= ${binary:Version}), libpcp-mmv1 (= ${binary:Version}), libpcp-web1 (= ${binary:Version}), libpcp3 (= ${binary:Version})
+Recommends: libpcp-pmda-perl
 Conflicts: pgpool2, dstat, pcp-webapi, pcp-manager
-Suggests: pcp-gui, libpcp-import-perl
+Suggests: pcp-gui, libpcp-import-perl, bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], redis-server
 Provides: dstat, pcp-webapi, pcp-manager
 Replaces: dstat, pcp-webapi, pcp-manager
 Architecture: any
@@ -264,6 +264,3 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libpcp-import1 (= ${binary:Version})
 Description: Performance Co-Pilot log import Perl module
- The PCP::LogImport Perl module contains the language bindings for
- building Perl applications that import performance data from a file
- or real-time source and create a Performance Co-Pilot (PCP) archive

=== debian/rules ===
#!/usr/bin/make -f

pcp = pcp
pcpcfg = pcp-conf
libpcp = libpcp3
libpcpdev = libpcp3-dev
libpcp_pmda = libpcp-pmda3
libpcp_pmdadev = libpcp-pmda3-dev
libpcp_pmda_perl = libpcp-pmda-perl
libpcp_import_perl = libpcp-import-perl
pcp_logsummary_perl = libpcp-logsummary-perl
libpcp_gui = libpcp-gui2
libpcp_guidev = libpcp-gui2-dev
libpcp_mmv = libpcp-mmv1
libpcp_mmvdev = libpcp-mmv1-dev
libpcp_mmv_perl = libpcp-mmv-perl
libpcp_trace = libpcp-trace2
libpcp_tracedev = libpcp-trace2-dev
libpcp_import = libpcp-import1
libpcp_importdev = libpcp-import1-dev
libpcp_web = libpcp-web1
libpcp_webdev = libpcp-web1-dev
pcp_import_sar = pcp-import-sar2pcp
pcp_import_ganglia = pcp-import-ganglia2pcp
pcp_import_mrtg = pcp-import-mrtg2pcp
pcp_import_sheet = pcp-import-sheet2pcp
pcp_import_iostat = pcp-import-iostat2pcp
pcp_import_collectl = pcp-import-collectl2pcp
pcp_export_graphite = pcp-export-pcp2graphite
pcp_export_influxdb = pcp-export-pcp2influxdb
pcp_export_zabbix = pcp-export-zabbix-agent
pcp_pmda_infiniband = pcp-pmda-infiniband
pcp_testsuite = pcp-testsuite
pcp_python3 = python3-pcp
pcpgui = pcp-gui
pcpdoc = pcp-doc

dirpcp = debian/$(pcp)
dirpcpcfg = debian/$(pcpcfg)
dirlibpcp = debian/$(libpcp)
dirlibpcpdev = debian/$(libpcpdev)
dirlibpcp_pmda = debian/$(libpcp_pmda)
dirlibpcp_pmdadev = debian/$(libpcp_pmdadev)
dirlibpcp_pmda_perl = debian/$(libpcp_pmda_perl)
dirlibpcp_import_perl = debian/$(libpcp_import_perl)
dirpcp_logsummary_perl = debian/$(pcp_logsummary_perl)
dirlibpcp_gui = debian/$(libpcp_gui)
dirlibpcp_guidev = debian/$(libpcp_guidev)
dirlibpcp_mmv = debian/$(libpcp_mmv)
dirlibpcp_mmvdev = debian/$(libpcp_mmvdev)
dirlibpcp_mmv_perl = debian/$(libpcp_mmv_perl)
dirlibpcp_trace = debian/$(libpcp_trace)
dirlibpcp_tracedev = debian/$(libpcp_tracedev)
dirlibpcp_import = debian/$(libpcp_import)
dirlibpcp_importdev = debian/$(libpcp_importdev)
dirlibpcp_web = debian/$(libpcp_web)
dirlibpcp_webdev = debian/$(libpcp_webdev)
dirpcp_import_sar = debian/$(pcp_import_sar)
dirpcp_import_ganglia = debian/$(pcp_import_ganglia)
dirpcp_import_mrtg = debian/$(pcp_import_mrtg)
dirpcp_import_sheet = debian/$(pcp_import_sheet)
dirpcp_import_iostat = debian/$(pcp_import_iostat)
dirpcp_import_collectl = debian/$(pcp_import_collectl)
dirpcp_export_graphite = debian/$(pcp_export_graphite)
dirpcp_export_influxdb = debian/$(pcp_export_influxdb)
dirpcp_export_zabbix = debian/$(pcp_export_zabbix)
dirpcp_pmda_infiniband = debian/$(pcp_pmda_infiniband)
dirpcp_testsuite = debian/$(pcp_testsuite)
dirpcp_python3 = debian/$(pcp_python3)
dirgui = debian/$(pcpgui)
dirdoc = debian/$(pcpdoc)
allperldir = $(dirlibpcp_pmda_perl) $(dirlibpcp_import_perl) \
		$(dirpcp_logsummary_perl) $(dirlibpcp_mmv_perl)
alldir = $(dirpcp) $(dirpcpcfg) \
		$(dirlibpcp) $(dirlibpcpdev) \
		$(dirlibpcp_pmda) $(dirlibpcp_pmdadev) \
		$(dirlibpcp_trace) $(dirlibpcp_tracedev) \
		$(dirlibpcp_gui) $(dirlibpcp_guidev) \
		$(dirlibpcp_import) $(dirlibpcp_importdev) \
		$(dirlibpcp_web) $(dirlibpcp_webdev) \
		$(dirlibpcp_mmv) $(dirlibpcp_mmvdev) \
		$(dirpcp_import_sar) $(dirpcp_import_mrtg) \
		$(dirpcp_import_ganglia) \
		$(dirpcp_import_sheet) $(dirpcp_import_iostat) \
		$(dirpcp_import_collectl) $(dirpcp_testsuite) \
		$(dirpcp_pmda_infiniband) $(allperldir) \
		$(dirpcp_python3)

zip = export GZIP=-9qn DIST_TMPFILES="`pwd`"/install.tmpfiles
pkgpcp = $(zip) NO_CHOWN=true DIST_ROOT="`pwd`"/$(dirpcp);
pkgpcpgui = $(zip) DIST_ROOT="`pwd`"/$(dirgui);
pkgpcpdoc = $(zip) DIST_ROOT="`pwd`"/$(dirdoc);
pkgpcpcfg = $(zip) DIST_ROOT="`pwd`"/$(dirpcpcfg);
pkglibpcp = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp);
pkglibpcp_gui = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_gui);
pkglibpcp_mmv = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_mmv);
pkglibpcp_pmda = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_pmda);
pkglibpcp_trace = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_trace);
pkglibpcp_import = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_import);
pkglibpcp_web = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_web);
pkglibpcp_mmv_perl = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_mmv_perl);
pkglibpcp_pmda_perl = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_pmda_perl);
pkglibpcp_import_perl = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_import_perl);
pkgpcp_logsummary_perl = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_logsummary_perl);
pkgpcp_import_sar = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_import_sar);
pkgpcp_import_ganglia = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_import_ganglia);
pkgpcp_import_mrtg = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_import_mrtg);
pkgpcp_import_sheet = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_import_sheet);
pkgpcp_import_iostat = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_import_iostat);
pkgpcp_import_collectl = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_import_collectl);
pkgpcp_export_graphite = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_graphite);
pkgpcp_export_influxdb = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_influxdb);
pkgpcp_export_zabbix = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_zabbix);
pkgpcp_pmda_infiniband = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_pmda_infiniband);
pkgpcp_testsuite = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_testsuite);
pkgpcp_python3 = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_python3);

configure_tools = export DEBUG=-DNDEBUG QT_SELECT=5;
# Note: configure options come from $(configure_paths) here, _plus_
#       any passed in from the environment via $(configure_opts)
#       ... Makepkgs uses the latter mechanism to refine the configure
#       options
#
configure_paths = --prefix=/usr --libexecdir=/usr/lib --sysconfdir=/etc --localstatedir=/var --with-rcdir=/etc/init.d --with-sysconfigdir=/etc/default

checkdir = test -f debian/rules
uninstall = cat debian/*.install | sed -e "s,^,debian/$(pcp)/," | xargs rm -f
uninstallpy = cat python*-pcp.list | sed -e "s,^,debian/$(pcp)/," | xargs rm -fr
uninstallpydir = ls -d debian/$(pcp)/usr/lib*/python* | xargs rm -fr
uninstalltest = cat debian/$(pcp_testsuite).dirs | sed -e "s,^,debian/$(pcp)/," | xargs rm -fr
uninstalldirs = rmdir debian/$(pcp)/usr/include/pcp debian/$(pcp)/usr/include debian/$(pcp)/usr/share/man/man3
uninstallib = cat debian/$(pcp_pmda_infiniband).dirs | sed -e "s,^,debian/$(pcp)/," | xargs rm -fr
uninstallgui = cat debian/$(pcpgui).dirs | sed -e "s,^,debian/$(pcp)/," | xargs rm -fr
unrpathperl = find $(allperldir) -name \*.so | xargs chrpath -d

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config
	@echo "== dpkg-buildpackage: build" 1>&2
	$(MAKE) default
	touch build-stamp

config: .census
.census:
	@echo "== dpkg-buildpackage: configure" 1>&2
	$(checkdir)
	autoconf
	if `which dh_update_autotools_config` >/dev/null; \
	then dh_update_autotools_config; \
	else dh_autotools-dev_updateconfig; \
	fi
	$(configure_tools) ./configure $(configure_paths) $(configure_opts)
	touch .census

clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	$(checkdir)
	-rm -f build-stamp .census
	$(MAKE) realclean
	-rm -rf $(alldir)
	-rm -f debian/*substvars debian/files* debian/*.debhelper qa/localconfig
	if `which dh_update_autotools_config` >/dev/null; \
	then :;\
	else dh_autotools-dev_restoreconfig; \
	fi
	dh_clean

binary-indep: checkroot build-stamp
	@echo "== dpkg-buildpackage: binary-indep" 1>&2
	$(checkdir)
	$(pkgpcp) $(MAKE) -C . install
	$(pkgpcp_import_sar) $(MAKE) -C src/sar2pcp install
	$(pkgpcp_import_ganglia) $(MAKE) -C src/ganglia2pcp install
	$(pkgpcp_import_mrtg) $(MAKE) -C src/mrtg2pcp install
	$(pkgpcp_import_sheet) $(MAKE) -C src/sheet2pcp install
	$(pkgpcp_import_iostat) $(MAKE) -C src/iostat2pcp install
	dh_installdocs -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_installdirs -i
	dh_install -i --sourcedir=debian/$(pcp)
	dh_perl -i -p $(pcp_import_sar)
	dh_perl -i -p $(pcp_import_ganglia)
	dh_perl -i -p $(pcp_import_mrtg)
	dh_perl -i -p $(pcp_import_sheet)
	dh_perl -i -p $(pcp_import_iostat)
	dh_installdeb -i
	dh_gencontrol -i $(SUBSTVARS)
	dh_md5sums -i
	dh_builddeb -i

binary-arch: checkroot build-stamp
	@echo "== dpkg-buildpackage: binary-arch" 1>&2
	$(checkdir)
	-rm -rf $(alldir)

## pcp 5.3.2

=== debian/changelog ===
pcp (5.3.2-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 30 Jul 2021 11:37:57 +1100

pcp (5.3.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 04 Jun 2021 09:21:45 +1000

pcp (5.3.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Resolve pmfind log path permissions (closes: #985384)

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Apr 2021 10:07:03 +1000

pcp (5.2.6-1) unstable; urgency=low

  * Resolve bash-related package conflicts (closes: #982323)

 -- Nathan Scott <nathans@debian.org>  Tue, 09 Feb 2021 13:36:31 +1100

pcp (5.2.5-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Add systemd package dependency (closes: #962994)

 -- Nathan Scott <nathans@debian.org>  Mon, 08 Feb 2021 13:14:45 +1100

pcp (5.2.3-1) unstable; urgency=low

  * Fix sub-package dependencies for upgrades (closes: #975997)
  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 18 Dec 2020 08:11:33 +1100

pcp (5.2.2-1) unstable; urgency=low

  * Remove python3-all-dev dependency (closes: #972330)
  * Add architecture to bpftrace deps (closes: #973010)
  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 11 Nov 2020 07:31:00 +1000

pcp (5.2.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 25 Aug 2020 09:31:40 +1000

## pcp 5.3.6

=== vendor/github.com/Nordix/hiredis-cluster/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)
project(hiredis-cluster)
include(GNUInstallDirs)

# Options
option(DOWNLOAD_HIREDIS  "Download the dependency hiredis from GitHub" ON)
option(ENABLE_SSL        "Enable SSL/TLS support" OFF)
option(DISABLE_TESTS     "Disable compilation of test" OFF)
option(ENABLE_IPV6_TESTS "Enable IPv6 tests requiring special prerequisites" OFF)
option(ENABLE_COVERAGE   "Enable test coverage reporting" OFF)

macro(getVersionBit name)
  set(VERSION_REGEX "^#define ${name} (.+)$")
  file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/hircluster.h"
    VERSION_BIT REGEX ${VERSION_REGEX})
  string(REGEX REPLACE ${VERSION_REGEX} "\\1" ${name} "${VERSION_BIT}")
endmacro(getVersionBit)

# Get version information from src
getVersionBit(HIREDIS_CLUSTER_MAJOR)
getVersionBit(HIREDIS_CLUSTER_MINOR)
getVersionBit(HIREDIS_CLUSTER_PATCH)
getVersionBit(HIREDIS_CLUSTER_SONAME)
set(VERSION "${HIREDIS_CLUSTER_MAJOR}.${HIREDIS_CLUSTER_MINOR}.${HIREDIS_CLUSTER_PATCH}")
message("Detected version: ${VERSION}")

project(hiredis-cluster
  VERSION "${VERSION}"
  LANGUAGES C)

set(CMAKE_C_STANDARD 99)

# Build using a sanitizer
if(USE_SANITIZER)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-omit-frame-pointer -fsanitize=${USE_SANITIZER}")
endif()

if(ENABLE_COVERAGE)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage -O0" )
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage" )
endif()

SET(hiredis_cluster_sources
    adlist.c
    command.c
    crc16.c
    dict.c
    hiarray.c
    hircluster.c
    hiutil.c)

if(WIN32 OR MINGW)
    add_compile_definitions(_CRT_SECURE_NO_WARNINGS WIN32_LEAN_AND_MEAN)
    set(hiredis_cluster_sources
        ${hiredis_cluster_sources}
        hiredis_cluster.def)
endif()

add_library(hiredis_cluster
  SHARED
  ${hiredis_cluster_sources})

if(MSVC)
  # MS Visual: Suppress warnings
  target_compile_options(hiredis_cluster PRIVATE "/wd 4267" "/wd 4244")
else()
  target_compile_options(hiredis_cluster PRIVATE -Wall -Wextra -pedantic -Werror)

  # Add extra defines when CMAKE_BUILD_TYPE is set to Debug
  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DHI_ASSERT_PANIC -DHI_HAVE_BACKTRACE")
  # Alternative: -DHI_ASSERT_LOG)
endif()

set_target_properties(hiredis_cluster
    PROPERTIES
    VERSION "${HIREDIS_CLUSTER_SONAME}")

if(DOWNLOAD_HIREDIS)
  message("Downloading dependency 'hiredis'..")

  include(FetchContent)
  FetchContent_Declare(hiredis
    GIT_REPOSITORY https://github.com/redis/hiredis
    GIT_TAG        v1.0.0
    SOURCE_DIR     "${CMAKE_CURRENT_BINARY_DIR}/_deps/hiredis"
  )

  # Disable tests in hiredis
  set(DISABLE_TESTS_OLD ${DISABLE_TESTS})
  set(DISABLE_TESTS ON CACHE INTERNAL "")
  FetchContent_GetProperties(hiredis)
  if(NOT hiredis_POPULATED)
    FetchContent_Populate(hiredis)
    add_subdirectory(${hiredis_SOURCE_DIR} ${hiredis_BINARY_DIR})
  endif()
  set(DISABLE_TESTS ${DISABLE_TESTS_OLD} CACHE INTERNAL "")

  # Create an empty *-config.cmake for find_package
  # See: https://github.com/abandonware-pjz37/cmake-find-package-include/blob/master/hooks/fetch.cmake
  set(stub_dir "${CMAKE_CURRENT_BINARY_DIR}/generated/pkg")

  file(WRITE "${stub_dir}/hiredis-config.cmake" "")
  set(hiredis_DIR ${stub_dir})
  # Set variables normally got from hiredis-config.cmake
  set(hiredis_LIBRARIES hiredis::hiredis)
  set(hiredis_INCLUDE_DIRS "${CMAKE_CURRENT_BINARY_DIR}/_deps")

  if(ENABLE_SSL)
    file(WRITE "${stub_dir}/hiredis_ssl-config.cmake" "")
    set(hiredis_ssl_DIR ${stub_dir})
    # Set variables normally got from hiredis_ssl-config.cmake
    set(hiredis_ssl_LIBRARIES hiredis::hiredis_ssl)
    set(hiredis_INCLUDE_DIRS "${CMAKE_CURRENT_BINARY_DIR}/_deps")
  endif()

else()
  message("Expecting to find dependencies in path..")
endif()

find_package(hiredis REQUIRED)

if(ENABLE_SSL)
  find_package(hiredis_ssl REQUIRED)
  add_definitions(-DSSL_SUPPORT)
endif()

target_include_directories(hiredis_cluster PUBLIC
  $<BUILD_INTERFACE:${hiredis_INCLUDE_DIRS}>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)

if(WIN32 OR MINGW)
    TARGET_LINK_LIBRARIES(hiredis_cluster PRIVATE ws2_32 hiredis::hiredis)
endif()

if(NOT DISABLE_TESTS)
  include(CTest)
  add_subdirectory(tests)
endif()

# Code formatting target
find_program(CLANG_FORMAT "clang-format")
file(GLOB_RECURSE FILES_TO_FORMAT
  ${PROJECT_SOURCE_DIR}/*.[ch]
)
add_custom_target(format
  COMMAND ${CLANG_FORMAT} -i ${FILES_TO_FORMAT}
)

# Code coverage target
if(ENABLE_COVERAGE)
  find_program(GCOVR "gcovr")

  add_custom_command(OUTPUT _run_gcovr
    POST_BUILD
    COMMAND ${GCOVR} -r ${CMAKE_SOURCE_DIR} --object-dir=${CMAKE_BINARY_DIR} --html-details coverage.html
    COMMAND echo "Coverage report generated: ${CMAKE_BINARY_DIR}/coverage.html"
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
  add_custom_target (coverage DEPENDS _run_gcovr)
endif()

configure_file(hiredis_cluster.pc.in hiredis_cluster.pc @ONLY)

install(TARGETS hiredis_cluster
  EXPORT hiredis_cluster-targets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES hircluster.h adlist.h hiarray.h dict.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/hiredis_cluster)

install(DIRECTORY adapters
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/hiredis_cluster)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/hiredis_cluster.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

export(EXPORT hiredis_cluster-targets
  FILE ${CMAKE_CURRENT_BINARY_DIR}/hiredis_cluster-targets.cmake
  NAMESPACE hiredis_cluster::)

set(CMAKE_CONF_INSTALL_DIR share/hiredis_cluster)
set(INCLUDE_INSTALL_DIR include)
include(CMakePackageConfigHelpers)
configure_package_config_file(hiredis_cluster-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/hiredis_cluster-config.cmake
  INSTALL_DESTINATION ${CMAKE_CONF_INSTALL_DIR}
  PATH_VARS INCLUDE_INSTALL_DIR)

install(EXPORT hiredis_cluster-targets
  FILE hiredis_cluster-targets.cmake
  NAMESPACE hiredis_cluster::
  DESTINATION ${CMAKE_CONF_INSTALL_DIR})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/hiredis_cluster-config.cmake
  DESTINATION ${CMAKE_CONF_INSTALL_DIR})

=== vendor/github.com/mnunberg/jsonsl/tests/Makefile ===
TESTMODS= json_test api_test jpr_test unescape cxxtest

all: $(TESTMODS)
	./json_test ../share/*
	./api_test
	./jpr_test
	./unescape
	./json_test ../share/jsc/pass*.json
	JSONSL_FAIL_TESTS=1 ./json_test ../share/jsc/fail*.json
ifneq (,$(findstring JSONSL_PARSE_NAN,$(CFLAGS)))
	./json_test ../share/nan/*.json
else
	JSONSL_FAIL_TESTS=1 ./json_test ../share/nan/*.json
endif
	@echo "   Some tests were skipped."
	@echo "   See share/jsc/nyi_fail/README.skipped for details"
	@echo "All Tests OK"

%: %.c
	echo "LIBFLAGS ${LIBFLAGS}"
	echo "LDFLAGS ${LDFLAGS}"
	$(CC) $(CFLAGS) $^ -o $@ $(LDFLAGS)

clean:
	rm -f $(TESTMODS)

=== debian/changelog ===
pcp (5.3.6-1build1) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Feb 2022 07:52:35 +0100

pcp (5.3.6-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 02 Feb 2022 12:08:13 +1100

pcp (5.3.5-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 10 Nov 2021 10:46:50 +1100

pcp (5.3.4-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Add pmlogger zeroconf file for interval (closes: #990223)

 -- Nathan Scott <nathans@debian.org>  Fri, 08 Oct 2021 08:53:32 +1100

pcp (5.3.3-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 15 Sep 2021 10:08:32 +1000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Homepage: https://pcp.io
 Maintainer: PCP Development Team <pcp@groups.io>
 Uploaders: Nathan Scott <nathans@debian.org>, Ken McDonell <kenj@kenj.id.au>
-Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python3-dev, libnspr4-dev, libnss3-dev, libsasl2-dev, libuv1-dev, libssl-dev, libavahi-common-dev, qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev, qtchooser, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, python3-psycopg2, dh-python, libpfm4-dev, libncurses5-dev, python3-six, python3-json-pointer, python3-requests, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, libnss3-tools, liblzma-dev, systemd, libsystemd-dev, bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], libibumad-dev, libibmad-dev, manpages
+Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python3-dev, libnspr4-dev, libnss3-dev, libsasl2-dev, libuv1-dev, libssl-dev, libavahi-common-dev, qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev, qtchooser, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, python3-psycopg2, python3-openpyxl, dh-python, libpfm4-dev, libncurses5-dev, python3-six, python3-json-pointer, python3-requests, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, libnss3-tools, liblzma-dev, systemd, libsystemd-dev, python3-bpfcc [amd64 arm64 armhf ppc64el s390x ppc64], bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], libibumad-dev, libibmad-dev, manpages
 Standards-Version: 3.9.3
 X-Python3-Version: >= 3.3
 
@@ -12,7 +12,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, python3-pcp, python3, libpcp-pmda3 (= ${binary:Version}), libpcp-mmv1 (= ${binary:Version}), libpcp-web1 (= ${binary:Version}), libpcp3 (= ${binary:Version})
 Recommends: libpcp-pmda-perl
 Conflicts: pgpool2, dstat, pcp-webapi, pcp-manager
-Suggests: pcp-gui, libpcp-import-perl, bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], redis-server
+Suggests: pcp-gui, libpcp-import-perl, bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], python3-bpfcc [amd64 arm64 armhf ppc64el s390x ppc64], redis-server
 Provides: dstat, pcp-webapi, pcp-manager
 Replaces: dstat, pcp-webapi, pcp-manager
 Architecture: any
@@ -262,5 +262,3 @@
 Package: libpcp-import-perl
 Section: perl
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libpcp-import1 (= ${binary:Version})
-Description: Performance Co-Pilot log import Perl module
